/*++

	This program is free software; you can redistribute it
	and/or modify it under the terms of the Shared Code
	License (SCL) as published by www.IntellectualHeaven.com;
	either version 1.0, or (at your option) any later version.
	You should have received a copy of the SCL 1.0 license,
	look for file license.txt, along with this software; if not,
	then please write to x_pankaj_x@intellectualheaven.com
	for an electronic copy of the same.

Module Name:

    resource.h

Module Description:

	Resource identifier file for YahDecode

Author:

    Pankaj Garg		2004-09-17
    
Revision History:

--*/

#ifndef _RESOURCE_H_
#define _RESOURCE_H_

// Local-Includes!!!
#include "vermacros.h"

//
// Version related information
//
#define COMPANY_NAME		"www.intellectualheaven.com\0"
#define PRODUCT_NAME		"YahDecode - Yahoo Message Archive Decoder\0"
#define LEGAL_COPYRIGHT		"Copyright (c) : www.intellectualheaven.com\0"

#define GUI_WND_VER_MAJOR 0
#define GUI_WND_VER_MINOR 8
#define GUI_WND_VER_BUILD 0
#define GUI_WND_VER_STEP  0

#define GUI_WND_BIN_VERSION			GUI_WND_VER_MAJOR,GUI_WND_VER_MINOR,GUI_WND_VER_BUILD,GUI_WND_VER_STEP
#define GUI_WND_STR_VERSION			GUI_WND_VER_MAJOR.GUI_WND_VER_MINOR.GUI_WND_VER_BUILD.GUI_WND_VER_STEP
#define GUI_WND_DWORD_VERSION		_DWORD_VERSION(GUI_WND_VER_MAJOR, GUI_WND_VER_MINOR, GUI_WND_VER_BUILD, GUI_WND_VER_STEP)



//
// Menus
//
#define IDR_MENU                        101

//
// Icons
//
#define IDI_APP_ICON					201
#define IDI_SMALL						202


//
// Bitmaps
//
#define IDB_GREEN_OPTION				401
#define IDB_ORANGE_OPTION				402
#define IDB_USER_MAIN					403
#define IDB_USER_SINGLE					404
#define IDB_MESSAGE						405
#define IDB_ALERT						406
#define IDB_CONFERENCE					407
#define IDB_MOBILE						408
#define IDB_ORANGE_ABOUT				409
#define IDB_GREEN_ABOUT					410
#define IDB_IH_SYMBOL					411


//
// Menu Items
//
#define ID_FILE_OPEN                    601
#define ID_FILE_SAVE                    602
#define ID_FILE_EXIT                    603
#define ID_EDIT_COPY					611
#define ID_EDIT_SELECTALL				612
#define ID_VIEW_REFRESH					621
#define ID_VIEW_SHOWTIMESTAMP			622
#define ID_HELP_ABOUT					631


//
// Dialogs & Controls
//
#define IDC_STATIC                      -1
#define IDD_DIALOG_ABOUT				801
#define IDD_DIALOG_USERINFO				851
#define IDC_EDIT_YAHOO_ID				852
#define IDC_EDIT_FRIEND_ID				853


#endif

